Group: Publishing
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define real_name dvipost
%{!?_texmf_vendor: %define _texmf_vendor %(eval "echo `kpsewhich -expand-var '$TEXMFDIST'`")}

Name:           tetex-%{real_name}
Version:        1.1
Release:        alt2_40
Summary:        LaTeX post filter command to support change bars and overstrike mode

License:        GPLv2+
URL:            http://efeu.cybertec.at/
Source0:        http://efeu.cybertec.at/%{real_name}.tar.gz
Patch0:         %{name}-destdir.patch
Patch1:         tetex-dvipost-configure-c99.patch

BuildRequires:  tex(latex)
BuildRequires:  /usr/bin/kpsewhich
BuildRequires:  gcc-c++

Requires:	tex(latex)
Source44: import.info

%description
The command dvipost is a post procesor for dvi files, created by latex
or tex. It is used for special modes, which normally needs the support
of dvi drivers (such as dvips). With dvipost, this features could be
implemented independent of the preferred driver. Currently, the post
processor supports layout raster, change bars and overstrike mode.

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1
%patch1 -p1


%build
%configure
%make_build

%install
%makeinstall_std


%files
%doc --no-dereference COPYING
%{_bindir}/*
%{_texmf_vendor}/tex/latex/misc/*

%doc README NOTES dvipost.html
%{_mandir}/man*/*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.1-alt2_40
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.1-alt2_39
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.1-alt2_38
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.1-alt2_36
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.1-alt2_35
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.1-alt2_34
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.1-alt2_33
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_32
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_32
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_31
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_30
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_29
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_28
- update to new release by fcimport

* Sun Mar 11 2018 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_26
- rebuild with texlive

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_20
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_19
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_18
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_17
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_16
- initial fc import

